Not able to compile MQTT_Paho
응답
16. 6. 22 오후 5:16

Hello,

I tried to compile the MQTT_Paho code after making the necessary changes in the paho source files and also including the platform but it gave me an error in the make file.

I want the data onto the ibm cloud and so need the paho client to work.

It gives me the folowing error on compilation:

application.mk:75: *** mixed implicit and normal rules.  Stop.
Makefile:50: recipe for target 'debug' failed
mingw32-make: *** [debug] Error 2
 

Please help me resolve the issue,

 

Thanks in advance.

 

Regards,

Parth Desai

0 (0 투표)
RE: Not able to compile MQTT_Paho
응답
16. 6. 23 오전 7:08 as a reply to Parth Desai.

Hello Parth,

I’m not quite sure, what went wrong when making the necessary changes.
But we provide an example where all the changes are made, see here.

Please take care about your workbench version. The example is currently only available for the workbench 1.5.1 and lower.
If you try to run it on the newest workbench version 1.5.2 it will fail because of FreeRTOS changes.

We will realese an updated version of the example soon.

Kind regards,
Manuel

0 (0 투표)
RE: Not able to compile MQTT_Paho
응답
16. 6. 23 오후 8:48 as a reply to Manuel Cerny.

Hey Manuel,

Thanks for the reply.

I am using the 1.5.2 version of the workbench. I will try to run on a testbench with lower version and guess should run fine as suggested by you.

 

Regards,

Parth Desai

 

0 (0 투표)
RE: Not able to compile MQTT_Paho
응답
16. 6. 24 오후 7:01 as a reply to Parth Desai.

Hey Manuel,

I was only able to find the 1.3.0 version of the XDK on the website and I tried to run the MQTT paho project in the same but was facing the same error as before.

make\mingw32-make.exe: *** C:\XDK-Workbench\1.30\SDK/xdk110/Common: No such file or directory.  Stop.
mingw32-make: *** [debug] Error 2
Makefile:50: recipe for target 'debug' failed

Can you please suggest where can i download the 1.5.1 version from?

Is it okay if I have both the versions installed on my computer or do i need to uninstall the latest version?

Thanks and Regards,

Parth Desai

0 (0 투표)
RE: Not able to compile MQTT_Paho
응답
16. 6. 27 오전 9:09 as a reply to Parth Desai.

Hello Parth,

I’m really sorry, but the example doesn’t run on 1.3 either, because the project structure changed between 1.3 to 1.5.

Maybe my reply was not clear enough. The example was developed for workbench 1.5 and only runs on the workbench 1.5 and 1.5.1. 

I will ask if we can provide you a download to one of the workbench versions, till we have updated the example.

Kind regards,
Manuel

0 (0 투표)